nn.pp.rccore

## Class VideoSettings

- java.lang.Object
- - nn.pp.rccore.VideoSettings

- All Implemented Interfaces:
    IVideoSettings

      public class VideoSettings
      extends java.lang.Object
      implements IVideoSettings

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `VideoSettings.VideoSetting`
    `class` | `VideoSettings.VideoSettingAction`
    `class` | `VideoSettings.VideoSettingBoolean`
    `class` | `VideoSettings.VideoSettingInteger`
    `class` | `VideoSettings.VideoSettingIntegerReadOnly`

    - ### Nested classes/interfaces inherited from interface nn.pp.rccore.IVideoSettings

      `IVideoSettings.IVideoSetting, IVideoSettings.IVideoSettingAction, IVideoSettings.IVideoSettingBoolean, IVideoSettings.IVideoSettingInteger, IVideoSettings.IVideoSettingIntegerReadOnly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSettings()`
    `VideoSettings(IVideoSettings settings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VideoSettings.VideoSettingBoolean` | `getAutoAutoAdjust()` Get the setting whether automatic video adjustment is activated for the port
    `VideoSettings.VideoSettingBoolean` | `getAutoColorCalibration()` Get the setting whether automatic color calibration is activated for the port
    `VideoSettings.VideoSettingInteger` | `getBrightness()` Get the Video Setting for brightness.
    `VideoSettings.VideoSettingInteger` | `getBrightnessBlue()` Get the brightness setting for the blue channel
    `VideoSettings.VideoSettingInteger` | `getBrightnessGreen()` Get the brightness setting for the green channel
    `VideoSettings.VideoSettingInteger` | `getBrightnessRed()` Get the brightness setting for the red channel
    `VideoSettings.VideoSettingAction` | `getCancelSettings()` Get the action to cancel the video settings and revert to the last stored ones
    `VideoSettings.VideoSettingInteger` | `getClock()` Get the video setting for the clock (analog video sampling)
    `VideoSettings.VideoSettingInteger` | `getContrastBlue()` Get the contrast setting for the blue channel
    `VideoSettings.VideoSettingInteger` | `getContrastGreen()` Get the contrast setting for the green channel
    `VideoSettings.VideoSettingInteger` | `getContrastRed()` Get the contrast setting for the red channel
    `VideoSettings.VideoSettingInteger` | `getNoiseFilter()` Get the setting for the noise filter
    `VideoSettings.VideoSettingInteger` | `getOffsetX()` Get the video setting for the horizontal offset (analog video sampling)
    `VideoSettings.VideoSettingInteger` | `getOffsetY()` Get the video setting for the vertical offset (analog video sampling)
    `VideoSettings.VideoSettingInteger` | `getPhase()` Get the video setting for the phase (analog video sampling)
    `VideoSettings.VideoSettingIntegerReadOnly` | `getRefreshRate()` Get the video refresh rate in Hz
    `VideoSettings.VideoSettingAction` | `getResetAllModes()` Get the action to reset video settings to defaults for all video modes
    `VideoSettings.VideoSettingAction` | `getResetThisMode()` Get the action to reset video settings to defaults for the current video mode
    `VideoSettings.VideoSettingAction` | `getResetThisPort()` Get the action to reset video settings to defaults for the port connected to
    `VideoSettings.VideoSettingIntegerReadOnly` | `getResolutionX()` Get the horizontal video resolution
    `VideoSettings.VideoSettingIntegerReadOnly` | `getResolutionY()` Get the vertical video resolution
    `VideoSettings.VideoSettingAction` | `getSaveSettings()` Get the action to permanently store the current settings for this port
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoSettings

          public VideoSettings()

    - #### VideoSettings

          public VideoSettings(IVideoSettings settings)

  - ### Method Detail

    - #### getBrightness

          public VideoSettings.VideoSettingInteger getBrightness()

      Description copied from interface: `IVideoSettings`

      Get the Video Setting for brightness.

      This is the brightness value for all color channels. It is not used anymore by current KX products. The `IVideoSettings.IVideoSetting.isSupported()` value is false.

      Specified by:
        `getBrightness` in interface `IVideoSettings`
      Returns:
        the Video Setting for brightness

    - #### getBrightnessRed

          public VideoSettings.VideoSettingInteger getBrightnessRed()

      Description copied from interface: `IVideoSettings`
      Get the brightness setting for the red channel
      Specified by:
        `getBrightnessRed` in interface `IVideoSettings`
      Returns:
        the brightness setting for the red channel

    - #### getBrightnessGreen

          public VideoSettings.VideoSettingInteger getBrightnessGreen()

      Description copied from interface: `IVideoSettings`
      Get the brightness setting for the green channel
      Specified by:
        `getBrightnessGreen` in interface `IVideoSettings`
      Returns:
        the brightness setting for the green channel

    - #### getBrightnessBlue

          public VideoSettings.VideoSettingInteger getBrightnessBlue()

      Description copied from interface: `IVideoSettings`
      Get the brightness setting for the blue channel
      Specified by:
        `getBrightnessBlue` in interface `IVideoSettings`
      Returns:
        the brightness setting for the blue channel

    - #### getContrastRed

          public VideoSettings.VideoSettingInteger getContrastRed()

      Description copied from interface: `IVideoSettings`
      Get the contrast setting for the red channel
      Specified by:
        `getContrastRed` in interface `IVideoSettings`
      Returns:
        the contrast setting for the red channel

    - #### getContrastGreen

          public VideoSettings.VideoSettingInteger getContrastGreen()

      Description copied from interface: `IVideoSettings`
      Get the contrast setting for the green channel
      Specified by:
        `getContrastGreen` in interface `IVideoSettings`
      Returns:
        the contrast setting for the green channel

    - #### getContrastBlue

          public VideoSettings.VideoSettingInteger getContrastBlue()

      Description copied from interface: `IVideoSettings`
      Get the contrast setting for the blue channel
      Specified by:
        `getContrastBlue` in interface `IVideoSettings`
      Returns:
        the contrast setting for the blue channel

    - #### getPhase

          public VideoSettings.VideoSettingInteger getPhase()

      Description copied from interface: `IVideoSettings`
      Get the video setting for the phase (analog video sampling)
      Specified by:
        `getPhase` in interface `IVideoSettings`
      Returns:
        the video setting for the phase (analog video sampling)

    - #### getClock

          public VideoSettings.VideoSettingInteger getClock()

      Description copied from interface: `IVideoSettings`
      Get the video setting for the clock (analog video sampling)
      Specified by:
        `getClock` in interface `IVideoSettings`
      Returns:
        the video setting for the clock (analog video sampling)

    - #### getOffsetX

          public VideoSettings.VideoSettingInteger getOffsetX()

      Description copied from interface: `IVideoSettings`
      Get the video setting for the horizontal offset (analog video sampling)
      Specified by:
        `getOffsetX` in interface `IVideoSettings`
      Returns:
        the video setting for the horizontal offset (analog video sampling)

    - #### getOffsetY

          public VideoSettings.VideoSettingInteger getOffsetY()

      Description copied from interface: `IVideoSettings`
      Get the video setting for the vertical offset (analog video sampling)
      Specified by:
        `getOffsetY` in interface `IVideoSettings`
      Returns:
        the video setting for the vertical offset (analog video sampling)

    - #### getNoiseFilter

          public VideoSettings.VideoSettingInteger getNoiseFilter()

      Description copied from interface: `IVideoSettings`

      Get the setting for the noise filter

      Analog video sampling always introduces noise. With the noise filter, one can adjust how much noise is acceptable. Lowering the noise filter will result in higher video bandwidth, increasing it may result in artifacts.

      Specified by:
        `getNoiseFilter` in interface `IVideoSettings`
      Returns:
        the setting for the noise filter

    - #### getAutoColorCalibration

          public VideoSettings.VideoSettingBoolean getAutoColorCalibration()

      Description copied from interface: `IVideoSettings`
      Get the setting whether automatic color calibration is activated for the port
      Specified by:
        `getAutoColorCalibration` in interface `IVideoSettings`
      Returns:
        the setting whether automatic color calibration is activated for the port

    - #### getAutoAutoAdjust

          public VideoSettings.VideoSettingBoolean getAutoAutoAdjust()

      Description copied from interface: `IVideoSettings`
      Get the setting whether automatic video adjustment is activated for the port
      Specified by:
        `getAutoAutoAdjust` in interface `IVideoSettings`
      Returns:
        the setting whether automatic video adjustment is activated for the port

    - #### getResetAllModes

          public VideoSettings.VideoSettingAction getResetAllModes()

      Description copied from interface: `IVideoSettings`
      Get the action to reset video settings to defaults for all video modes
      Specified by:
        `getResetAllModes` in interface `IVideoSettings`
      Returns:
        the action to reset video settings to defaults for all video modes

    - #### getResetThisMode

          public VideoSettings.VideoSettingAction getResetThisMode()

      Description copied from interface: `IVideoSettings`
      Get the action to reset video settings to defaults for the current video mode
      Specified by:
        `getResetThisMode` in interface `IVideoSettings`
      Returns:
        the action to reset video settings to defaults for the current video mode

    - #### getResetThisPort

          public VideoSettings.VideoSettingAction getResetThisPort()

      Description copied from interface: `IVideoSettings`
      Get the action to reset video settings to defaults for the port connected to
      Specified by:
        `getResetThisPort` in interface `IVideoSettings`
      Returns:
        the action to reset video settings to defaults for the port connected to

    - #### getSaveSettings

          public VideoSettings.VideoSettingAction getSaveSettings()

      Description copied from interface: `IVideoSettings`
      Get the action to permanently store the current settings for this port
      Specified by:
        `getSaveSettings` in interface `IVideoSettings`
      Returns:
        the action to permanently store the current settings for this port

    - #### getCancelSettings

          public VideoSettings.VideoSettingAction getCancelSettings()

      Description copied from interface: `IVideoSettings`
      Get the action to cancel the video settings and revert to the last stored ones
      Specified by:
        `getCancelSettings` in interface `IVideoSettings`
      Returns:
        the action to cancel the video settings and revert to the last stored ones

    - #### getResolutionX

          public VideoSettings.VideoSettingIntegerReadOnly getResolutionX()

      Description copied from interface: `IVideoSettings`
      Get the horizontal video resolution
      Specified by:
        `getResolutionX` in interface `IVideoSettings`
      Returns:
        the horizontal video resolution

    - #### getResolutionY

          public VideoSettings.VideoSettingIntegerReadOnly getResolutionY()

      Description copied from interface: `IVideoSettings`
      Get the vertical video resolution
      Specified by:
        `getResolutionY` in interface `IVideoSettings`
      Returns:
        the vertical video resolution

    - #### getRefreshRate

          public VideoSettings.VideoSettingIntegerReadOnly getRefreshRate()

      Description copied from interface: `IVideoSettings`
      Get the video refresh rate in Hz
      Specified by:
        `getRefreshRate` in interface `IVideoSettings`
      Returns:
        the video refresh rate in Hz

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.